Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::UIManagerSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::UIManager. More...

`#include <xfc/gtk/uimanagersignals.hh>`

Inheritance diagram for Xfc::Gtk::UIManagerSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_add_widget (Widget &widget)
    Called for each generated menubar and toolbar.
- virtual void on_actions_changed ()
    Called whenever the set of actions changes.
- virtual void on_connect_proxy (Action &action, Widget &proxy)
    Called after connecting a proxy widget to an action in the group.
- virtual void on_disconnect_proxy (Action &action, Widget &proxy)
    Called after disconnecting a proxy widget from an action in the group.
- virtual void on_pre_activate (Action &action)
    Called just before the action is activated.
- virtual void on_post_activate (Action &action)
    Called just after the action is activated.

## Protected Member Functions

Constructors

- UIManagerSignals (UIManager *ui_manager)
    Construct a new UIManagerSignals object.
- virtual ~UIManagerSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::UIManager.

## Constructor & Destructor Documentation

Xfc::Gtk::UIManagerSignals::UIManagerSignals | ( | UIManager * | ui_manager | ) | `[protected]`

Construct a new UIManagerSignals object.

Parameters:

  | ui_manager | A UIManager object inheriting the UIManagerSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::UIManagerSignals::on_add_widget | ( | Widget & | widget | ) | `[virtual]`

Called for each generated menubar and toolbar.

Parameters:

  | widget | The added widget.

This method is not called for generated popup menus, which can be obtained by Gtk::UIManager::get_widget().

virtual void Xfc::Gtk::UIManagerSignals::on_connect_proxy | ( | Action & | action,
|  | Widget & | proxy
| ) | `[virtual]`

Called after connecting a proxy widget to an action in the group.

Parameters:

  | action | The action.
  | proxy | The proxy widget.

This handler is intended for simple customizations for which a custom action class would be too clumsy, e.g. showing tooltips for menu items in the statusbar.

virtual void Xfc::Gtk::UIManagerSignals::on_disconnect_proxy | ( | Action & | action,
|  | Widget & | proxy
| ) | `[virtual]`

Called after disconnecting a proxy widget from an action in the group.

Parameters:

  | action | The action.
  | proxy | The proxy widget.

virtual void Xfc::Gtk::UIManagerSignals::on_post_activate | ( | Action & | action | ) | `[virtual]`

Called just after the action is activated.

Parameters:

  | action | The action.

This handler is intended for applications to get notification just after any action is activated.

virtual void Xfc::Gtk::UIManagerSignals::on_pre_activate | ( | Action & | action | ) | `[virtual]`

Called just before the action is activated.

Parameters:

  | action | The action.

This handler is intended for applications to get notification just before any action is activated.

The documentation for this class was generated from the following file:

- uimanagersignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3